import platform

from lib_create_env import lib_generate_install_methods, lib_add_options

system_str = platform.system()


INSTALLS = [ #(key,method, option_str, dict_extra_env)
    'PYLUCENE',
    'PSYCOPG2',
    'SOUTH',
    'PIL', 
    'DJANGO',
    'DJANGO-EXTENSIONS',
    'DJANGO-REGISTRATION',
    'DJANGO-TAGGING',
    'DJANGO-PISTON',
    'HTTPLIB2',
    'OAUTH2',
    'DJANGO-OAUTH-PLUS',
    'OPENID',
    'DJANGO_OPENID_CONSUMER',
    'SOCIAL_AUTH',
    'DJANGO_GUARDIAN',
    'SORL_THUMBNAIL',
    'LXML',
]

if system_str == 'Windows':
    INSTALLS.insert(0, 'JCC')

OPTIONS_TO_ADD = ['--no-site-packages','--clear', '--type-install=local']
if system_str == "Linux":
    OPTIONS_TO_ADD.append("--unzip-setuptools")

def generate_install_methods(path_locations, src_base, Logger, call_subprocess):    
    return lib_generate_install_methods(path_locations, src_base, Logger, call_subprocess, INSTALLS)

add_options = lambda : lib_add_options(OPTIONS_TO_ADD)
